import request from '@/utils/request'
import Vue from 'vue'
// 查询参数列表
export function pdxx (data) {
    return request({
        url: Vue.prototype.$api.mz.pdxx+'/'+data.id,
        method: 'get',
        params:data
    })
}

export function mzxx (data) {
    return request({
        url: Vue.prototype.$api.mz.mzxx,
        method: 'get',
        params:data
    })
}
export function hiscard (data) {
    return request({
        url: Vue.prototype.$api.mz.hiscard,
        method: 'PUT',
        params:data
    })
}
export function printmis (data) {
    return request({
        url: Vue.prototype.$api.mz.printmis,
        method: 'get',
        params:data
    })
}
export function registration_pre (data) {
    return request({
        url: Vue.prototype.$api.mz.registration_pre,
        method: 'post',
        data
    })
}
export function registration (data) {
    return request({
        url: Vue.prototype.$api.mz.registration,
        method: 'post',
        data
    })
}
export function registration_detil (data) {
    return request({
        url: Vue.prototype.$api.mz.registration+'/'+data.jshid,
        method: 'get',
        params:data
    })
}
export function registration_delete (data) {
    return request({
        url: Vue.prototype.$api.mz.registration+'/'+data.jshid,
        method: 'delete',
        data
    })
}
export function settlement_history (data) {
    return request({
        url: Vue.prototype.$api.mz.settlement_history,
        method: 'get',
        params:data
    })
}
export function mzxxs (data) {
    return request({
        url: Vue.prototype.$api.mz.mzxxs,
        method: 'get',
        params:data
    })
}
export function mzxxs_ewm (data) {
    return request({
        url: Vue.prototype.$api.mz.mzxxs_ewm,
        method: 'get',
        params:data
    })
}
export function mis_refund (data) {
    return request({
        url: Vue.prototype.$api.mz.mis_refund,
        method: 'get',
        params:data
    })
}
export function xxxxxx (data) {
    return request({
        url: Vue.prototype.$api.mz.xxxxxx,
        method: 'get',
        params:data
    })
}
export function pdxq (data) {
    return request({
        url: Vue.prototype.$api.mz.pdxq+'/'+ data.patient_id,
        method: 'get',
        params:data
    })
}
export function settle_fee_self2yb (data) {
    return request({
        url: Vue.prototype.$api.mz.settle_fee_self2yb+'/'+ data.patient_id,
        method: 'get',
        params:data
    })
}
export function info (data) {
    return request({
        url: Vue.prototype.$api.mz.info+'/'+ data.patient_id+'/'+ data.serial_no,
        method: 'get',
        params:data
    })
}
export function settle_fee2yb (data) {
    return request({
        url: Vue.prototype.$api.mz.settle_fee2yb+'/'+ data.patient_id+'/'+ data.rcpt_no,
        method: 'get',
        params:data
    })
}
export function zhxx (data) {
    return request({
        url: Vue.prototype.$api.mz.zhxx,
        method: 'post',
        data
    })
}

export function prescription (data) {
    return request({
        url: Vue.prototype.$api.mz.prescription,
        method: 'post',
        data
    })
}
export function serviceInvoke (data) {
    return request({
        url: Vue.prototype.$api.mz.serviceInvoke,
        method: 'post',
        data
    })
}
export function bxxx (data) {
    return request({
        url: Vue.prototype.$api.mz.bxxx+'/'+data.patient_id,
        method: 'post',
        data
    })
}
export function jsxx (data) {
    return request({
        url: Vue.prototype.$api.mz.jsxx+'/'+data.patient_id,
        method: 'post',
        data
    })
}
export function mztk (data) {
    return request({
        url: Vue.prototype.$api.mz.mztkNew+'/'+data.jshid,
        // url:`/api/settle/${data.jshid}/refund`,
        method: 'get',

    })
}
export function verifyFeeStatus (data) {
    return request({
        url: Vue.prototype.$api.mz.FeeStatus,
        // url:`/api/settle/${data.jshid}/refund`,
        method: 'post',
        params:data
    })
}
export function jhsubmit (data) {
    return request({
        url: Vue.prototype.$api.mz.jhsubmit,
        // url:`/api/settle/${data.jshid}/refund`,
        method: 'post',
        params:data
    })
}
export function mzcs (data) {
    return request({
        url: Vue.prototype.$api.mz.mzcs+'/'+data.jshid,
        method: 'DELETE',
        params:data
    })
}
export function basic (data) {
    return request({
        url: Vue.prototype.$api.mz.basic,
        method: 'get',
        params:data
    })
}

// 获取人员基本信息（无卡） insurance/query_basic_info
export function queryBasicInfo (data) {
    return request({
        url: Vue.prototype.$api.mz.basicInfo,
        method: 'get',
        params:data
    })
}
// 获取人员基本信息（无卡） insurance/query_basic_info
export function getInfoByQrCode (data) {
    return request({
        url: Vue.prototype.$api.mz.getInfoByQrCode,
        method: 'get',
        params:data
    })
}
// 获取人员基本信息（有卡） insurance/read_card
export function queryReadRard (data) {
    return request({
        url: Vue.prototype.$api.mz.readCard,
        method: 'get',
        params:data
    })
}

// 退款列表
export function refundList (data) {
    return request({
        url:`/api/refund/${data.patient_id}/history_by_his`,
        method: 'get',
        params:data
    })
}

// 自费退费  refund_self/self_funded_settle/{patient_id}
export function selfFundedSettle (data) {
    return request({
        url:`${Vue.prototype.$api.mz.selfFundedSettle}/${data.RcptNo}`,
        method: 'DELETE',
        params:data
    })
}